/// <reference types="react" />
import { DatasourceStateError } from "@nexcodepl/endpoint-client";
import { StaticRouteBase } from "@nexcodepl/vite-static";
interface Props<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData> {
    route: TStaticRoute;
    element: JSX.Element;
    loader: JSX.Element;
    error: (error: DatasourceStateError) => JSX.Element;
    routes: TStaticRoute[];
    globalData: TGlobalData;
}
export declare function StaticDataProvider<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData>({ route, element, loader, error, routes, globalData }: Props<TStaticRoute, TGlobalData>): JSX.Element;
export {};
